[lfs-book] [LFS Trac] #3104: no perl-5.16.0-libc-1.patch and perl-5.16.0 can't be built in toolchain

LFS Trac trac at linuxfromscratch.org
Thu May 31 01:07:27 PDT 2012


#3104: no perl-5.16.0-libc-1.patch and perl-5.16.0 can't be built in toolchain
--------------------+-------------------------------------------------------
 Reporter:  xinglp  |       Owner:  lfs-book@…                   
     Type:  task    |      Status:  new                          
 Priority:  normal  |   Milestone:  7.2                          
Component:  Book    |     Version:  SVN                          
 Severity:  normal  |    Keywords:                               
--------------------+-------------------------------------------------------

Comment(by xinglp):

 Replying to [comment:1 matthew@…]:
 > I've committed the libc patch now.  Alas, I can't reproduce your
 problem.  Both chapter 5 and chapter 6 builds completed fine.  I get
 >
 > {{{
 > Let me guess what the preprocessor flags are...
 > Any additional ld flags (NOT including libraries)? [ -fstack-protector]
 > Checking your choice of C compiler and flags for coherency...
 > Computing filename position in cpp output for #include directives...
 > <stdlib.h> found.
 > }}}

 I have tried to do it start over again, same error.
 But I can build it without use jhalfs, I think some environment affect
 this.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/lfs/ticket/3104#comment:2>
LFS Trac <http://wiki.linuxfromscratch.org/lfs/>
Linux From Scratch: Your Distro, Your Rules.



More information about the lfs-book mailing list